Package com.io7m.jtensors.storage.heap

# Class VectorMutable3L

java.lang.Object
com.io7m.jtensors.storage.heap.VectorMutable3L

All Implemented Interfaces:
  `VectorReadable2LType`, `VectorReadable3LType`, `VectorStorageIntegral2Type`, `VectorStorageIntegral3Type`, `VectorStorageType`

public final class VectorMutable3L extends Object implements VectorStorageIntegral3Type
A heap-based vector.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VectorMutable3L()`
  Create a new vector.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `void`
  `setX(long in_x)`
  Set the `x` component.
  `void`
  `setY(long in_y)`
  Set the `Y` component.
  `void`
  `setZ(long in_z)`
  Set the `z` component.
  `String`
  `toString()`
  `long`
  `x()`
  `long`
  `y()`
  `long`
  `z()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.jtensors.storage.api.unparameterized.vectors.VectorStorageIntegral2Type

  `setVector2I, setVector2L, setXY`

  ### Methods inherited from interface com.io7m.jtensors.storage.api.unparameterized.vectors.VectorStorageIntegral3Type

  `setVector3I, setVector3L, setXYZ`

- ## Constructor Details

  - ### VectorMutable3L

    public VectorMutable3L()
    Create a new vector.

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### x

    public long x()
    Specified by:
      `x` in interface `VectorReadable2LType`
    Returns:
      The `x` component

  - ### y

    public long y()
    Specified by:
      `y` in interface `VectorReadable2LType`
    Returns:
      The `y` component

  - ### z

    public long z()
    Specified by:
      `z` in interface `VectorReadable3LType`
    Returns:
      The `z` component

  - ### setZ

    public void setZ(long in_z)
    Description copied from interface: `VectorStorageIntegral3Type`
    Set the `z` component.
    Specified by:
      `setZ` in interface `VectorStorageIntegral3Type`
    Parameters:
      `in_z` - The Z component

  - ### setX

    public void setX(long in_x)
    Description copied from interface: `VectorStorageIntegral2Type`
    Set the `x` component.
    Specified by:
      `setX` in interface `VectorStorageIntegral2Type`
    Parameters:
      `in_x` - The X component

  - ### setY

    public void setY(long in_y)
    Description copied from interface: `VectorStorageIntegral2Type`
    Set the `Y` component.
    Specified by:
      `setY` in interface `VectorStorageIntegral2Type`
    Parameters:
      `in_y` - The Y component